f.Q {GeneMeta} | R Documentation

## Compute Cochran's Q statistic

### Description

Compute Cochran's Q statistic for testing whether the a fixed effects or a random effects model will be appropriate.

### Usage

    f.Q(dadj, varadj)

### Arguments

`dadj` | A matrix, each row is a gene, each column a study, of the estimated t-statistics.
`varadj` | A matrix, each row is a gene, each column a study, of the estimated, adjusted variances of the t-statistics.

### Details

A straightforward computation of Cochran's Q statistic. If the null hypothesis that the data are well modeled by a fixed effects design is true then the estimate Q values will have approximately a chi-squared distribution with degrees of freedom equal to the number of studies minus one.

### Value

A vector of length equal to the number of rows of `dadj` with the Q statistics.

### Author(s)

L. Lusa and R. Gentleman

### References

Choi et al, Combining multiple microarray studies and modeling interstudy variation. Bioinformatics, 2003, i84-i90.

### See Also

`dstar`,`sigmad`

### Examples

    ##none now, this requires a pretty elaborate example

[Package GeneMeta version 1.10.0 Index]